package ru.amse.timkina.archiver.filetree;
import java.util.*;

public interface IFile {
	
	String getName();
	String getFullPath();
	String getComment();
	String getShortName();
	Calendar getModificationTime();
	long getSize();
	IDirectory getParent();
	void setParent(IDirectory directory);
	boolean isDirectory();
	List<IDirectory> getDirectories();
	List<IFile> getFiles();
	void setModificationTime(Calendar date);
	void setComment(String comment);
	void setName(String name);
	void setFullPath(String path);
}
